findPeaks.MSW-methods {xcms} | R Documentation

## Feature detection for single-spectrum non-chromatography MS data

### Description

Processing Mass Spectrometry direct-injection spectrum by using wavelet based algorithm.

### Arguments

`object` | `xcmsSet` object
`snthresh` | signal to noise ratio cutoff
`scales` | scales of CWT
`nearbyPeak` | Determine whether to include the nearby small peaks of major peaks. TRUE by default
`sleep` | number of seconds to pause between plotting peak finding cycles
`verbose.columns` | additional peak meta data columns are returned

### Details

This is a wrapper around the peak picker in the bioconductor package MassSpecWavelet calling 'cwt', 'get.localMaximum.cwt', 'get.ridge', 'identify.majorPeaks' and tuneIn.peakInfo.

### Value

A matrix with columns:

`mz` | m/z value of the peak at the centroid position
`mzmin` | m/z value at the start-point of the peak
`mzmax` | m/z value at the end-point of the peak
`rt` | always -1
`rtmin` | always -1
`rtmax` | always -1
`into` | integrated area of original (raw) peak
`maxo` | intensity of original (raw) peak at the centroid position
`intf` | always NA
`maxf` | maximum MSW-filter response of the peak
`sn` | Signal/Noise ratio

### Methods

object = "xcmsRaw"
  `findPeaks.MSW(object, snthresh=3, scales=seq(1,22,3), nearbyPeak=TRUE, peakScaleRange=5, amp.Th=0.01, minNoiseLevel=amp.Th/SNR.Th, ridgeLength=24, tuneIn=FALSE, sleep=0, verbose.columns = FALSE)`

### Author(s)

Steffen Neumann, Joachim kutzera, sneumann|jkutzer@ipb-halle.de

### See Also

`findPeaks-methods` `xcmsRaw-class` `peakDetectionCWT`

[Package xcms version 1.16.3 Index]